m LDWP00A

k   /*
k    *                 DATENPRUEFUNG
k    *                      DER
k    *      TESTBETRIEBE  F O R S T W I R T S C H A F T
k    *
k    *                 Stand: 29.04.2016, Prfprogramm FWJ 2015
k    *   Rev.:  6.10.97 Besitzart 4 zulassen, 0570 wird *-Fehler
k    *   Rev.:  3.02.98 Membernamen gendert in ldwp00a,ldwp01a,ldwp01b
k    *   Rev.:  6.02.98 SONDERVERSION fr WinPlau v0001->v0003 usw.
k    *   Rev.:  15.01.16 Anpassung an geaenderten Erhebungsbogen FWJ 2015
k
k
k    */
k  **** Hinweise zur Schreibweise im Regelwerk *****
k   ABS( x )     Absoluter Wert (Betrag) einer Zahl
k                z.B. ABS( -3 ) = 3
k   MOD(x,y)     Rest aus der Division von x mit dem Divisor y
k                z.B. MOD( 112 , 10 ) = 2
k   &&           Logische UND-Verknuepfung
k   ||           Logische ODER-Verknuepfung (Inclusives ODER)
k   !            Logisches NICHT
k   ==           Vergleichsoperator: Gleich
k   !=           Vergleichsoperator: Ungleich
k   <            Vergleichsoperator: Kleiner als
k   <=           Vergleichsoperator: Kleiner als oder gleich
k   >            Vergleichsoperator: Groesser als
k   >=           Vergleichsoperator: Groesser als oder gleich
k   5E0          Definition einer floating point Konstanten, z.B. 5.0
k   { }          Begrenzer fuer einen programmlogischen Block
k   #IN          Wert >= linke und <= rechte Grenze
k   #EQ(n)       Gleichheit zweier Werte mit Abweichung von n
k
k
k
k
k *********************************************************************/
k * KONTROLLE AUF VOLLSTAENDIGES AUSFUELLEN                           */
k *********************************************************************/
k *       BETRIEBSNUMMER                                              */
k *********************************************************************/
k
k
z V0019S02=1e0;
z V0018S02=1e0;
z V0020S02=11e0;
z V0024S02=V0006S02;
k
f 0001.000(***+) P(V00)
t LAENDERANGABE AUSSERHALB 1 BIS 16
b V0003S02 #IN( 1, 16)
k
f 0002.000(***+) P(V00)
t WALDBESITZART AUSSERHALB 1 BIS 3
b V0001S02 #IN( 1, 3)
k
f 0003.000(***+) P(V00)
t NUMMER DES BETRIEBES AUSSERHALB 1 BIS 999999
b V0002S02 #IN( 1, 999999)
k
k *********************************************************************/
k *       ALLGEMEINE ANGABEN                                          */
k *********************************************************************/
k
f 0011.000(***+) P(V00)
s V0003S02 == 1
s V0001S02 != 1
t REG. BEZ. FUER SCHLESWIG-HOLSTEIN IST NICHT=0
b V0004S02 == 0
k
f 0012.000(***+) P(V00)
s V0003S02 == 3
s V0001S02 != 1
t REG. BEZ. FUER NIEDERSACHSEN IST AUSSERHALB 1 BIS 4
b V0004S02 #IN( 1, 4)
k
f 0013.000(***+) P(V00)
s V0003S02 == 5
s V0001S02 != 1
t REG. BEZ. FUER NORDRHEIN-WESTFALEN IST NICHT 1,3,5,7,9
b ( V0004S02 == 1 || V0004S02 == 3 || V0004S02 == 5 || V0004S02 == 7 ||
b   V0004S02 == 9 )
k
f 0014.000(***+) P(V00)
s (V0003S02 == 6 && V0001S02 != 1)
t REG. BEZ. FUER HESSEN AUSSERHALB 4 BIS 6
b V0004S02 #IN( 4, 6)
k
f 0015.000(***+) P(V00)
s (V0003S02 == 7 && V0001S02 != 1)
t REG. BEZ. FUER RHEINLAND-PFALZ ist nicht = 0
b V0004S02 == 0
k
f 0016.000(***+) P(V00)
s (V0003S02 == 8 && V0001S02 != 1)
t REG. BEZ. FUER BADEN-WUERTTEMBERG AUSSERHALB 1 BIS 4
b V0004S02 #IN( 1, 4)
k
f 0017.000(***+) P(V00)
s (V0003S02 == 9 && V0001S02 != 1)
t REG. BEZ. FUER BAYERN AUSSERHALB 1 BIS 7
b V0004S02 #IN( 1, 7)
k
f 0018.000(***+) P(V00)
s (V0003S02 == 10)
t REG. BEZ. FUER SAARLAND NICHT == 0
b V0004S02 == 0
k
f 0020.000(***+) P(V00)
s (V0003S02 == 14 && V0001S02 != 1)
t REG. BEZ. FUER SACHSEN AUSSERHALB 5 BIS 7 
b V0004S02 #IN( 5, 7)
k
k
k *********************************************************************/
k *       FORSTWIRTSCHAFTSJAHR                                        */
k *********************************************************************/
k
k *ST=DATE();             */
k *AKTJAHR=SUBSTR(ST,1,2);*/
k *AKTJAHR=WJ;            */
k
f 0050.000(***+) P(V00)
s (V0006S02 == 0)
t + + FORSTWIRSCHAFTSJAHR FEHLT  + + + + + + + + + +
b V0006S02 > 0
k
f 0051.000(***) P(V00)
s (V0006S02 > 0)                                       
t Falsche Angabe fuer Ende des Forstwirtschaftsjahres V0006S02 (Form MMJJJJ)  
b #(MOD( V0006S02 ,10000 )) == 2015E0
k
k
k *********************************************************************/
k *       STAATSWALD                                       */
k *********************************************************************/ 
k
f 0070.000(***+) P(V00)
s (V0001S02 == 1E0)
t Staatswaldbetrieb, aber keine ANGABE ZUR Verbuchung der Pensionslasten
b V0007S02 == 1 || V0007S02 == 2
k
f 0080.000(***+) P(V00)
s (V0007S02 == 2E0)
t STAATSWALDBETRIEB OHNE VERBUCHTE  PENSIONSLASTEN; ABER KEINE ANGABEN ZUR HOEHE DER BEZGE DER AKTIVEN BEAMTEN
b V0008S02 > 0.0 
k
k *********************************************************************/
k *       VERBUCHUNG DER GESCHAEFTSVORFAELLE                            */
k *********************************************************************/
k
k
f 0090.000(***+) P(V00)
t Schluessel fuer VERBUCHUNG der GESCHAEFTSVORFAELLE Code 0009 (hinsichtlich der
t Umsatzsteuer) ist nicht 1 (BRUTTO) oder 2 (NETTO)
b V0009S02 ==  1E0 || V0009S02 ==  2E0
k
f 0092.000(***+) P(V00)
t Schluessel fuer UMSATZSTEUERSYSTEM Code 0010 ist nicht 1 oder 2
b V0010S02 ==  1E0 || V0010S02 ==  2E0
k
f 0094.000(***+) P(V00)
t Bruttoverbuchung (Code 0009=1) ist nur fuer pauschalierende Betriebe
t (Code 0010=1) zulaessig
b V0009S02 == 2E0 || V0010S02 == 1E0
k
k
k *********************************************************************/
k *       FLAECHENANGABEN ZUM FORSTBETRIEB                            */
k *********************************************************************/
k
k Abschnitt 1
k
f 1055.000(***+) P(V10)
t + + ABSCHNITT 1.0, HOLZBODENFLAECHE,  FEHLT + + + + + + + + + +
b ( V1001-06S02 ) > 0.0
k
f 1056.000(***+) P(V10)
t FORSTLICHE BETRIEBSFLAECHE FEHLT + + + + + + + + + +
b ( V1010S02 ) > 0.0
k
f 1058.000(***+) P(V10)
t + + ABSCHNITT 1.0, HOLZBODENFLAECHE IST KLEINER 175HA
b ( V1006S02 ) > 175.0
k                            
f 1060.000(***+) P(V10)
s (V1001-05s02 > 0)
t HOLZBODENFLAECHE IST NICHT SUMME DER EINZELFLAECHEN
b ( V1001-05S02 ) #EQ V1006S02
k
f 1061.000(***+) P(V10)
t FORSTLICHE BETRIEBSFLAECHE IST NICHT SUMME DER EINZELFLAECHEN
b ( V1006,07S02 ) #EQ V1008S02
k
f 1062.000(***+) P(V10)
t BETRIEBSFLAECHE IST NICHT SUMME DER EINZELFLAECHEN
b ( V1006,07,09S02 ) #EQ V1010S02
k
f 1064.000(***) P(V10)
s (V1001s02 > 0)
t EINTRAGUNGEN schlagweiser Hochwald IN ABSCH.1 UND ABSCH.2 WEICHEN UM
t MEHR ALS 15 % VONEINANDER AB
b V2001-07S08 > V1001S02 *0.85 && V2001-07S08 < V1001S02 * 1.15                         
k
k
k *********************************************************************/
k * SPALTENSUMMEN                                                     */
k *********************************************************************/
k *       ABSCHNITT 2.0                                               */
k *********************************************************************/
k
f 2001.000(***+) P(V20)
s (V1001s02 > 0)
t ABSCHNITT 2, STRUKTUR des SHLAGW.HOCHWALD FEHLT + + + + + +
b V2001-07S08 > 0.0
k
f 2005.000(***+) P(V20)
s (V1002s02 > 0)
t ABSCHNITT 2, STRUKTUR des Nicht-ALTERSKLASSENWALD FEHLT + + + + + +
b V2008S08 > 0.0
k
f 2010.000(***+) P(V20)
t Schlagweiser Hochwald EICHE INS. NICHT SUMME EINZELWERTE
b V2001-08S02 #EQ(2.0) V2009S02
k
f 2015.000(***+) P(V20)
t Schlagweiser Hochwald BUCHE NICHT SUMME EINZELWERTE
b V2001-08S03 #EQ(2.0) V2009S03
k
f 2020.000(***+) P(V20)
t Schlagweiser Hochwald Laubholz zusammen NICHT SUMME EINZELWERTE
b V2001-08S04 #EQ(2.0) V2009S04
k
f 2025.000(***+) P(V20)
t Schlagweiser Hochwald FICHTE NICHT SUMME EINZELWERTE
b V2001-08S05 #EQ(2.0) V2009S05
k
f 2030.000(***+) P(V20)
t Schlagweiser Hochwald KIEFER, Lrche und sonst. NICHT SUMME EINZELWERTE
b V2001-08S06 #EQ(2.0) V2009S06
k
f 2035.000(***+) P(V20)
t Schlagweiser Hochwald Nadelholz zusammen NICHT SUMME EINZELWERTE
b V2001-08S07 #EQ(2.0) V2009S07
k
f 2040.000(***+) P(V20)
t Schlagweiser Hochwald BAUMART INSGESAMT NICHT SUMME EINZELWERTE
b V2001-08S08 #EQ(2.0) V2009S08
k
f 2045.000(***) P(V20)
s (V1001-05s02 > 0)
t WITSCHAFTSWALD INSGESAMT NICHT SUMME DER CODES 1001 BIS 1004 
b V2009S02,03,05,06 #EQ(2.0) V1001-04S02
K
f 2108.000(***+) P(V20)
t Schlagweiser Hochwald, Laubholz  1-20 NICHT SUMME EINZELWERTE
b V2001S02,03 #EQ(2.0) V2001S04
k
f 2109.000(***+) P(V20)
t Schlagweiser Hochwald, Laubholz  21-40 NICHT SUMME EINZELWERTE
b V2002S02,03 #EQ(2.0) V2002S04
k
f 2110.000(***+) P(V20)
t Schlagweiser Hochwald, Laubholz  41-60 NICHT SUMME EINZELWERTE
b V2003S02,03 #EQ(2.0) V2003S04
k
f 2111.000(***+) P(V20)
t Schlagweiser Hochwald, Laubholz  61-80 NICHT SUMME EINZELWERTE
b V2004S02,03 #EQ(2.0) V2004S04
k
f 2112.000(***+) P(V20)
t Schlagweiser Hochwald, Laubholz  81-100 NICHT SUMME EINZELWERTE
b V2005S02,03 #EQ V2005S04
k
f 2113.000(***+) P(V20)
t Schlagweiser Hochwald, Laubholz 101-120 NICHT SUMME EINZELWERTE
b V2006S02,03 #EQ(2.0) V2006S04
k
f 2114.000(***+) P(V20)
t Schlagweiser Hochwald, Laubholz 121 UND MEHR NICHT SUMME EINZELWERTE
b V2007S02,03 #EQ V2007S04
k
f 2115.000(***+) P(V20)
t Nicht-Altersklassenwald, Laubholz NICHT SUMME EINZELWERTE
b V2008S02,03 #EQ V2008S04
k
f 2116.000(***+) P(V20)
t Wirtschaftswald, Laubholz NICHT SUMME EINZELWERTE
b V2009S02,03 #EQ V2009S04
k
f 2117.000(***+) P(V20)
t Schlagweiser Hochwald, Nadelholz 1-20 NICHT SUMME EINZELWERTE
b V2001S05,06 #EQ(2.0) V2001S07
k
f 2118.000(***+) P(V20)
t Schlagweiser Hochwald, Nadelholz  21-40 NICHT SUMME EINZELWERTE
b V2002S05,06 #EQ(2.0) V2002S07
k
f 2119.000(***+) P(V20)
t Schlagweiser Hochwald, Nadelholz  41-60 NICHT SUMME EINZELWERTE
b V2003S05,06 #EQ(2.0) V2003S07
k
f 2120.000(***+) P(V20)
t Schlagweiser Hochwald, Nadelholz  61-80 NICHT SUMME EINZELWERTE
b V2004S05,06 #EQ(2.0) V2004S07
k
f 2121.000(***+) P(V20)
t Schlagweiser Hochwald, Nadelholz  81-100 NICHT SUMME EINZELWERTE
b V2005S05,06 #EQ V2005S07
k
f 2122.000(***+) P(V20)
t Schlagweiser Hochwald, Nadelholz 101-120 NICHT SUMME EINZELWERTE
b V2006S05,06 #EQ(2.0) V2006S07
k
f 2123.000(***+) P(V20)
t Schlagweiser Hochwald, Nadelholz 121 UND MEHR NICHT SUMME EINZELWERTE
b V2007S05,06 #EQ(2.0) V2007S07
k
f 2124.000(***+) P(V20)
t Nicht-Altersklassenwald, Nadelholz NICHT SUMME EINZELWERTE
b V2008S05,06 #EQ(2.0) V2008S07
k
f 2125.000(***+) P(V20)
t Wirtschaftswald, Nadelholz NICHT SUMME EINZELWERTE
b V2009S05,06 #EQ(2.0) V2009S07
k
f 2126.000(***+) P(V20)
t Schlagweiser Hochwald   1-20 NICHT SUMME EINZELWERTE
b V2001S02,03,05,06 #EQ(2.0) V2001S08
k
f 2127.000(***+) P(V20)
t Schlagweiser Hochwald  21-40 NICHT SUMME EINZELWERTE
b V2002S02,03,05,06 #EQ(2.0) V2002S08
k
f 2128.000(***+) P(V20)
t Schlagweiser Hochwald  41-60 NICHT SUMME EINZELWERTE
b V2003S02,03,05,06 #EQ(2.0) V2003S08
k
f 2129.000(***+) P(V20)
t Schlagweiser Hochwald  61-80 NICHT SUMME EINZELWERTE
b V2004S02,03,05,06 #EQ(2.0) V2004S08
k
f 2130.000(***+) P(V20)
t Schlagweiser Hochwald  81-100 NICHT SUMME EINZELWERTE
b V2005S02,03,05,06 #EQ(2.0) V2005S08
k
f 2131.000(***+) P(V20)
t Schlagweiser Hochwald 101-120 NICHT SUMME EINZELWERTE
b V2006S02,03,05,06 #EQ V2006S08
k
f 2132.000(***+) P(V20)
t Schlagweiser Hochwald 121 UND MEHR NICHT SUMME EINZELWERTE
b V2007S02,03,05,06 #EQ(2.0) V2007S08
k
f 2133.000(***+) P(V20)
t Nicht-Altersklassenwald, Nadelholz NICHT SUMME EINZELWERTE
b V2008S02,03,05,06 #EQ(2.0) V2008S08
k
f 2134.000(***+) P(V20)
t Wirtschaftswald, Nadelholz NICHT SUMME EINZELWERTE
b V2009S02,03,05,06 #EQ(2.0) V2009S08
k
k *********************************************************************/
k * SUMMENPRUEFUNG ZEILEN                                             */
k *********************************************************************/
k *       ABSCHNITT 3.0                                               */
k *********************************************************************/
k
f 3150.000(***+) P(V30)
t + + ABSCHNITT 3, HOLZERNTE, -VERKAUF, FEHLT + + + + + + + + +
b V3001-11,13,14S08 > 0
k
f 3151.000(***+) P(V30)
t HIEBSATZ LAUBHOLZ + NADELHOLZ NICHT HIEBSATZ INSGESAMT
b V3001S04 + V3001S07 #EQ(2.0) V3001S08
k
f 3152.000(***+) P(V30)
t HOLZEINSCHLAG STAMMHOLZ NACH BAUMARTEN NICHT HOLZEINSCHL. STAMMHOLZ
t INSGESAMT
b V3002S02-03,05-06 #EQ(2.0) V3002S08
k
f 3153.000(***+) P(V30)
t HOLZEINSCHLAG STAMMHOLZ: ZWISCHENSUMMEN LAUB- UND NADELHOLZ NICHT
t STAMMHOLZ INSGESAMT
b V3002S04,07 #EQ(2.0) V3002S08
k
f 3154.000(***+) P(V30)
t HOLZEINSCHLAG SONST.VERWERTBARES HOLZ NACH BAUMARTEN NICHT INSGESAMT
b V3003S02-03,05-06  #EQ(2.0) V3003S08
k
f 3155.000(***+) P(V30)
t HOLZEINSCHLAG SONST.VERWERTBARES HOLZ:
t ZWISCHENSUMMEN LAUB- UND NADELHOLZ NICHT HOLZEINSCHLAG INSGESAMT
b V3003S04,07  #EQ(2.0) V3003S08
k
f 3156.100(***+) P(V30)
t HOLZEINSCHLAG UNVERWERTBARES HOLZ NACH BAUMARTEN NICHT INSGESAMT
b V3004S02-03,05-06  #EQ V3004S08
k
f 3156.200(***+) P(V30)
t HOLZEINSCHLAG UNVERWERTBARES HOLZ:
t ZWISCHENSUMMEN LAUB- UND NADELHOLZ NICHT HOLZEINSCHLAG INSGESAMT
b V3004S04,07  #EQ(2.0) V3004S08
k
f 3157.100(***+) P(V30)
t HOLZEINSCHLAG INSGESAMT, Einzelwerte der Baumarten in Code 3005
t ergeben NICHT Spalte INSGESAMT (8)
b V3005S02-03,05-06  #EQ V3005S08
k
f 3157.200(***+) P(V30)
t HOLZEINSCHLAG Insgesamt (Code 3005):
t ZWISCHENSUMMEN LAUB- UND NADELHOLZ NICHT HOLZEINSCHLAG INSGESAMT (Sp8)
b V3005S04,07  #EQ(2.0) V3005S08
k
f 3158.010(*  ) P(V30)
s (V2008S02,03 > 40)
t KEINE EINTRAGUNG FUER NUTZUNGSSATZ / HIEBSATZ LAUBHOLZ
b V3001S04 > 0
k
f 3159.020(***) P(V30)
s (V2008S05,06 > 40)
t KEINE EINTRAGUNG FUER NUTZUNGSSATZ / HIEBSATZ NADELHOLZ
b V3001S07 > 0
k
k
f 3160.010(***+) P(V30)
t HOLZEINSCHL. D. SELBSTWERBER CODE 3006 NICHT INSGESAMT
b V3006S02-03,05-06  #EQ(2.0) V3006S08
k
f 3161.020(***+) P(V30)
t HOLZEINSCHL. D. UNTERNEHMER CODE 3007 NICHT INSGESAMT
b V3007S02-03,05-06  #EQ(2.0) V3007S08
k
f 3162.000(***+) P(V30)
t HOLZEINSCHL. D. UNTERNEHMER ZWISCHENSUMMEN NICHT INSGESAMT
b V3007S04,07  #EQ(2.0) V3007S08
k
f 3163.000(***+) P(V30)
t HOLZEINSCHL. IN EIGENREGIE CODE 3008 NICHT INSGESAMT
b V3008S02-03,05-06  #EQ(2.0) V3008S08
k
f 3164.000(***+) P(V30)
t HOLZEINSCHL. IN EIGENREGIE CODE 3008 ZWISCHENSUMMEN NICHT INSGESAMT
b V3008S04,07  #EQ(2.0) V3008S08
k
f 3167.0##(***+) P(V30)
d ##(11,13,14)
t FEHLER IN SUMMENPRUEFUNG, EINZELWERTE CODE 30## NICHT SP. 08 INSGESAMT
b V30##S02-03,05-06  #EQ(2.0) V30##S08
k
f 3168.0##(***+) P(V30)
d ##(11,13,14)
t FEHLER IN SUMMENPRUEFUNG, ZWISCHENWERTE CODE 30## NICHT SP. 08 INSG.
b V30##S04,07  #EQ(2.0) V30##S08
k
k
k *********************************************************************/
k * SPALTENPRUEFUNGEN                                                 */
k *********************************************************************/
k *       ABSCHNITT 3.0                                               */
k *********************************************************************/
k
f 3169.0##(***+) P(V30)
d ##(02-08)
t SUMME HOLZEINSCHLAG (CODE 3005) SPALTE ## NICHT SUMME DER EINZELWERTE CODE 3002-04
b ( V3002-04S## ) #EQ(2.0) V3005S##
k
f 3170.0##(***+) P(V30)
d ##(02-08)
t SUMME HOLZEINSCHLAG (CODE 3005) ABZUEGLICH UNVERWERTBARES HOLZ (CODE3004) SPALTE ## 
t NICHT SUMME DER EINZELWERTE CODE 3006-08
b ( V3006-08S## )  #EQ(2.0)  (V3005S## - V3004S##)
k
f 3171.000(***) P
t EINSCHLAG EIGENREGIE STUECKLOHN GROESSER EINSCHLAG EIGENREGIE INSGES.
b V3009S08 <= V3008S08
k
k						****/ zur Zeit nicht aktiv /***	
t 3172.0##(***+) P(V30)
t ##(02-08)
t INHALT CODE 3011 SP.## NICHT <= CODE 3005
t V3011S## <= V3005S##
k
k
f 3173.1##(***) P(V30)
d ##(02-08)
t SUMME AUS HOLZEINSCHLAG - UNVERWERTBARES HOLZ "NICHT GLEICH" FREI STOCK VERKAUFTES HOLZ
t + EINSCHLAG UNTERNEHMER + EINSCHLAG EIGENREGIE
b ( V3005S## - V3004S## )  #EQ(2.0)   V3006S## + V3007S## + V3008S##
k
k
k *********************************************************************/
k *  ERTRAG UND HOLZEINSCHLAG AUS DEM BERICHTSJAHR                    */
k *********************************************************************/
k
f 3174.000(***) P(V30)
s ( ( V3005S02 - V3004S02 ) > V3006S02 )
t ERTRAG EICHE AUS BERICHTSJAHR, KEIN HOLZEINSCHLAG (ODER UMGEKEHRT)
b ( V3005S02 == 0 ) == ( V4001S08 == 0 )
k
f 3175.000(***) P(V30)
s ( ( V3005S03 - V3004S03 ) > V3006S03)
t ERTRAG BUCHE, SONST. LAUBHOLZ AUS BERICHTSJAHR, KEIN HOLZEINSCHLAG (ODER UMGEKEHRT)
b ( V3005S03 == 0 ) == ( V4002S08 == 0 )
k
f 3176.000(***) P(V30)
s ( ( V3005S05 - V3004S05 ) > V3006S05)
t ERTRAG FICHTE AUS BERICHTSJAHR, KEIN HOLZEINSCHLAG (ODER UMGEKEHRT)
b ( V3005S05 == 0 ) == ( V4003S08 == 0 )
k
f 3177.000(***) P(V30)
s ( ( V3005S06 - V3004S06 ) > V3006S06)
t ERTRAG KIEFER AUS BERICHTSJAHR, KEIN HOLZEINSCHLAG (ODER UMGEKEHRT)
b ( V3005S06 == 0 ) == ( V4004S08 == 0 )
k
k
k *********************************************************************/
k *  VERGLEICH UNVERKAUFTES HOLZ CODE 3013 MIT WERT EINGESCHLAGENES   */
k *  ABER NICHT VERKAUFTES HOLZ ABSCHN. 4. SP. 05 (fakultativ)                    */                         */
k *********************************************************************/
k
f 3182.000(***) P(V30 V40)
s V4001S05 > 0
t MENGE UNVERKAUFTES HOLZ CODE 3013, ABER KEIN WERT ABSCHNITT 4 SP. 05
t ODER UMGEKEHRT - EICHE
b ( V3013S02 == 0 ) == ( V4001S05 == 0 )
k
f 3183.000(***) P(V30 V40)
s V4002S05 > 0
t MENGE UNVERKAUFTES HOLZ CODE 3013, ABER KEIN WERT ABSCHNITT 4 SP. 05
t ODER UMGEKEHRT - BUCHE
b ( V3013S03 == 0 ) == ( V4002S05 == 0 )
k
f 3184.000(***) P(V30 V40)
s V4003S05 > 0
t MENGE UNVERKAUFTES HOLZ CODE 3013, ABER KEIN WERT ABSCHNITT 4 SP. 05
t ODER UMGEKEHRT - FICHTE
b ( V3013S05 == 0 ) == ( V4003S05 == 0 )
k
f 3185.000(***) P(V30 V40)
s V4004S05 > 0
t MENGE UNVERKAUFTES HOLZ CODE 3013, ABER KEIN WERT ABSCHNITT 4 SP. 05
t ODER UMGEKEHRT - KIEFER
b ( V3013S06 == 0 ) == ( V4004S05 == 0 )
k
k *********************************************************************/
k *  VERGLEICH MENGE NATURALENTNAHMEN CODE 3014 MIT WERT NATURALENT-  */
k *  NAHMEN ABSCHNITT 4 SPALTE 07                                     */
k *********************************************************************/
k
f 3186.000(*  ) P(V30 V40)
t MENGE NATURALENTNAHMEN CODE 3014, ABER KEIN WERT ABSCHNITT 4 SP. 07
t ODER UMGEKEHRT - EICHE
b ( V3014S02 == 0 ) == ( V4001S07 == 0 )
k
f 3187.000(*  ) P(V30 V40)
t MENGE NATURALENTNAHMEN CODE 3014, ABER KEIN WERT ABSCHNITT 4 SP. 07
t ODER UMGEKEHRT - BUCHE
b ( V3014S03 == 0 ) == ( V4002S07 == 0 )
k
f 3188.000(*  ) P(V30 V40)
t MENGE NATURALENTNAHMEN CODE 3014, ABER KEIN WERT ABSCHNITT 4 SP. 07
t ODER UMGEKEHRT - FICHTE
b ( V3014S05 == 0 ) == ( V4003S07 == 0 )
k
f 3189.000(*  ) P(V30 V40)
t MENGE NATURALENTNAHMEN CODE 3014, ABER KEIN WERT ABSCHNITT 4 SP. 07
t ODER UMGEKEHRT - KIEFER
b ( V3014S06 == 0 ) == ( V4004S07 == 0 )
k
f 3190.100(***) P(V30 V40)
t EINNAHMEN SELBSTWERBERHOLZ, KEINE MENGENANGABE ODER MENGENANGABE
t ABER KEINE EINNAHMEN
b ( V3006S08 == 0 ) == ( V4006S02 == 0 )
k
f 3190.200(*  ) P(V30 V40)
t EINNAHMEN SELBSTWERBERHOLZ EICHE, KEINE MENGENANGABE ODER MENGENANGABE
t ABER KEINE EINNAHMEN
b ( V3006S02 == 0 ) == ( V4001S02 == 0 )
k
f 3190.300(*  ) P(V30 V40)
t EINNAHMEN SELBSTWERBERHOLZ Buche, ..., KEINE MENGENANGABE ODER MENGENANGABE
t ABER KEINE EINNAHMEN
b ( V3006S03 == 0 ) == ( V4002S02 == 0 )
k
f 3190.400(*  ) P(V30 V40)
t EINNAHMEN SELBSTWERBERHOLZ Fichte,.., KEINE MENGENANGABE ODER MENGENANGABE
t ABER KEINE EINNAHMEN
b ( V3006S05 == 0 ) == ( V4003S02 == 0 )
k
f 3190.500(*  ) P(V30 V40)
t EINNAHMEN SELBSTWERBERHOLZ Kiefer,sonst..., KEINE MENGENANGABE ODER MENGENANGABE
t ABER KEINE EINNAHMEN
b ( V3006S06 == 0 ) == ( V4004S02 == 0 )
k
k *********************************************************************/
k *  SUMMENPRUEFUNGEN ABSCHNITT 4.0                                   */
k *********************************************************************/
k
f 4400.000(***+) P(V40)
t + + ABSCHNITT 4, ERTRAG, FEHLT + + + + + + + + + +
b V4001-18S02 + V4001-18S08 > 0
k
f 4401.0##(***) P(V40)
d ##(02-08)
t VERKAUFTES HOLZ CODE 4006 IN SP## NICHT SUMME EINZELWERTE
t CODE 4001-4005
b ( V4001-05S## ) #EQ(2.0) V4006S##
k
f 4402.0##(***) P(V40)
d ##(01-18)
t ERTRAG SP 08 IN ZEILE ## NICHT ERGEBNIS EINZELWERTE SPALTEN (Sp2+3+5-6+7=8)
b V40##S02 + V40##S03 + V40##S05 - V40##S06 + V40##S07 #EQ(2.0) V40##S08
k
f 4403.000(***) P(V40)
t SUMME SELBSTWERBERHOLZ (CODE 4006) SP.02 NICHT SUMME EINZELWERTE 
b V4001-04S02 #EQ(2.0) V4006S02
k
f 4404.000(***) P(V40)
t SUMME PRODUKTBEREICH HOLZ (CODE 4012) SP.02 NICHT SUMME EINZELWERTE
b V4006-11S02 #EQ(2.0) V4012S02
k
f 4405.000(***) P(V40)
t EINNAHMEN INSGES. (CODE 4018, SP.02) NICHT SUMME EINZELWERTE
b V4001-05,07-11,13-17S02 #EQ(2.0) V4018S02
k
f 4406.000(***) P(V40)
t SUMME PRODUKTBEREICH HOLZ (CODE 4012, SP.08) NICHT SUMME EINZELWERTE
b V4006-11S08 #EQ(2.0) V4012S08
k
f 4407.000(***) P(V40)
t ERTRAG INSGES. (CODE4018, SP.08) NICHT SUMME EINZELWERTE
b V4001-05,07-11,13-17S08 #EQ(2.0) V4018S08
k
f 4408.000(***) P(V40)
t ERTRAG INSGES. (CODE 4018, SP.07) NICHT SUMME EINZELWERTE
b V4001-05,07-11,13-17S07 #EQ(2.0) V4018S07
k
k
m LDWP01A
k *********************************************************************/
k *  PRUEFUNGEN ABSCHNITT 5, AUFWAND                                  */
k *********************************************************************/
k *      SPALTENSUMMEN DER KOSTENSTELLEN                              */
k *********************************************************************/
k
f 5501.0##(***) P(V50)
d ##(02-11)
t CODE 5016 (ZUSAMMEN) SPALTE ## NICHT SUMME EINZELWERTE CODE 5001-5015
b V5001-15S## #EQ(2.0) V5016S##
k
f 5502.0##(***) P(V51)
d ##(02-11,13)
t CODE 5116 (ZUSAMMEN) SPALTE ## NICHT SUMME EINZELWERTE CODE 5101-5115
b V5101-15S## #EQ(2.0) V5116S##
k
f 5503.0##(***+) P(V50)
d ##(02-11)
t CODE 5020 (INSGESAMT) SPALTE ## NICHT ERGEBNIS EINZELWERTE
b V5001-15,17,18S## - V5019S## #EQ(2.0) V5020S##
k
f 5504.0##(***+) P(V51)
d ##(02-10)
t CODE 5120 (INSGESAMT) SPALTE ## NICHT ERGEBNIS EINZELWERTE Code 5101 bis 5119
b (V5101-15,17,18S## - V5119S##) #EQ(2.0) V5120S##
k
k *********************************************************************/
k *      PRUEFUNGEN ZEILENSUMMEN ZUM UNTERNEHMENSAUFWAND */
k *********************************************************************/
k
f 5505.0##(***+) P(V50)
d ##(01-03,06-20)
t ABSCHNITT 50; SPALTE 05 (UNTERNEHMENSAUFWAND) CODE 50## NICHT ERGEBNIS EINZELWERTE
t SP. 02 BIS SP. 04
b V50##S02 + V50##S03 - V50##S04 #EQ(4.0) V50##S05
k
f 5506.0##(***+) P(V50)
d ##(01-03,06-09,11-15,18,19)
t ABSCHNITT 51; SPALTE 05 (PRODUKTBEREICH HOLZ) CODE 51## NICHT ERGEBNIS EINZELWERTE
t der Codes 5001 bis 5020 SP. 06 bis SP. 11 
t und Codes 5101 bis 5120 Sp. 02 bis 04
b V50##S06-11 + V51##S02-04 #EQ(4.0) V51##S05
k
k
f 5507.0##(***+) P(V51)
d ##(01-03,06-20)
t ABSCHNITT 51; Spalte 10 (SUMME PRODUKTBEREICHE) CODE 51##  NICHT SUMME DER SP. 05 bis 09
b V51##S05-09 #EQ(4.0) V51##S10
k
k *********************************************************************/
k *  FEHLER  5508.0##  MIT 18 GLEICHEN ABFRAGEN (EINE JE ZEILE)       */
k *********************************************************************/
k
f 5508.0##(***+) P(V50 V51)
d ##(01-03,06-16,19,20)
t ABSCHNITT 50; SPALTE 05 (UNTERNEHMENSAUFWAND) CODE 50##  NICHT SUMME der 
t SPALTEN 10,11 und 13 im Abschnitt 51
b V50##S05 #EQ(10.0) V51##S10,11,13
k
m LDWP01B
k *********************************************************************/
k *  PRUEFUNGEN ABSCHNITT 6                                           */
k *********************************************************************/
k *      ARBEITSKRAEFTE                                               */
k *********************************************************************/
k
f 6600.000(***+) P(V60)
t KEINE ARBEITSKRAEFTE UND KEIN AUFWAND FUER UNTERNEHMERLEISTUNGEN IM ABSCH. 50,
t ANGABEN SIND UNVOLLSTAENGIG + +
b (V6003S03,07 + V6009S02,04 + V6010s03) > 0 || V5007s02 > 0
k
f 6601.000(***) P(V60)
s (V0001S02 < 3)
t STAATSWALD- ODER KOERPERSCHAFTSWALDBETRIEB, ABER KEINE ENTLOHNTEN AK
t EINGETRAGEN ( CODE 6003Sp7 bzw 6009Sp4)
b V6003S07 + V6009S04 > 0.0
k
f 6601.001(***) P(V60)
s (V0001S02 < 3)
t STAATSWALD- ODER KOERPERSCHAFTSWALDBETRIEB, ABER NICHT ENTLOHNTE AK
t EINGETRAGEN ( CODE 6003Sp3, 6009Sp2, 6010Sp03)
b (V6003S03 + V6009S02 + V6010S03) == 0.0
k
f 6602.000(***) P(V60)
s (V6001S03,07 > 0)
t AK-ANGABEN ZU REGELMAESSIG BESCHAEFTIGTEN WALDARBEITERN CODE 6001,SP2 FEHLEN
b V6001S02,04 > 0
k
f 6604.000(***+) P(V60)
t ARBEITSSTUNDEN INSGES. ENTLOHNTE regelmaeig Beschaeftigte WALDARBEITERN 
t NICHT SUMME DER EINZELWERTE
b V6001S07 #EQ V6001S05,06
k
f 6606.000(***+) P(V60)
t ARBEITSSTUNDEN INSGES. ENTLOHNTE unregelmaeig Beschaeftigte WALDARBEITERN 
t NICHT SUMME DERt EINZELWERTE
b V6002S07 #EQ V6002S05,06
k
f 6608.000(***+) P(V60)
t ARBEITSSTUNDEN INSGES. ENTLOHNTE AK WALDARB. ZUS. NICHT SUMME 
t DER EINZELWERTE
b V6003S07 #EQ V6003S05,06
k
f 6610.000(***+) P(V60)
t ENTLOHNTE AK STAMMARBEITER KEINE ARBEITSSTUNDEN ODER UMGEKEHRT
b ( V6001S04 == 0 ) == ( V6001S07 == 0 )
k
f 6612.000(***+) P(V60)
t NICHT ENTLOHNTE AK,KEINE ARBEITSSTUNDEN ODER UMGEKEHRT
b ( V6001S02 == 0 ) == ( V6001S03 == 0 )
k
f 6614.0##(***+) P(V60)
d ##(03,05-07)
t WALDARBEITER  ZUS. CODE 6003,SP ## NICHT SUMME DER EINZELWERTE
b ( V6001S## + V6002S## ) #EQ V6003S##
k
f 6616.000(***+) P(V60)
t VERWALTUNG, NICHT ENTLOHNTE AK OERTLICHE INSTANZ,
t CODE 6004 SP 02 NICHT SUMME DER EINZELWERTE
b V6004S02 #EQ ( V6005S02 + V6006S02 + V6007S02 )
k
f 6618.000(***+) P(V60)
t VERWALTUNG, OERTLICHER INSTANZ ENTLOHNTE AK CODE 6004
t SP 04 NICHT SUMME DER EINZELWERTE
b V6004S04 #EQ ( V6005S04 + V6006S04 + V6007S04 )
k
f 6620.0##(***+) P(V60)
d ##(02,04)
t VERWALTUNG INSGES., CODE 6009 SP ## NICHT SUMME DER EINZELWERTE
b V6009S## #EQ ( V6004S## + V6008S## )
k
k
k *********************************************************************/
k * PRUEFUNGEN ABSCHNITT 7                                            */
k *********************************************************************/
k *      ERGAENZUNGSBOGEN                                             */
k *********************************************************************/
k
f 7700.000(***) P(V70)
t HOLZVORRAT NICHT ZWISCHEN 50 - 600 CBM/HA
b V7001S02  #IN( 50 , 600 )
k
f 7701.000(*  ) P
t VERGLEICHSWERT DER FORSTW. NUTZUNG NICHT ZWISCHEN 25 - 500 /HA
b V7001S07  #IN( 25 , 500 )
k
f 7702.000(***) P(V40 V70)
t FOERDERUNGSMITTEL ABSCHN. 7 NICHT GLEICH DER ANGABE IN ABSCHN. 4
b V4017S02 #EQ (V7006S02 + v7006s03 + v7006s04 + v7006s05 + v7006s06)
k
f 7705.000(*  ) P(V50 V70)
t WALDERNEUERUNG ABSCHN. 5 UND ABSCHN. 7 NICHT  B E I D E
t GLEICH ODER UNGLEICH NULL
b ( V5016S08 == 0 ) == ( V7002S02 == 0 )
k
f 7706.000(***) P(V70)
t ERSTAUFFORSTUNG IST GROESSER DER BESTANDSBEGRUENDUNG INSGESAMT
b V7002S03 <= V7002S02
k
k
k *********************************************************************/
k * DIMENSIONSPRUEFUNGEN                                              */
k *********************************************************************/
k
f 8201.000(*  ) P(V30)
s V1006S02 > 0
t NUTZUNGS-/HIEBSATZ NICHT ZWISCHEN 2 - 10 CBM/HA HB
b V3001S08 / V1006S02 #IN( 2 , 10 )
k
f 8202.000(*  ) P(V30)
s V3001S08 > 0
t HOLZEINSCHLAG AUSSERHALB 10 - 500 % DES HIEBSATZES
b ( V3005S08 / V3001S08 * 100 ) #IN( 10 , 500 )
k
f 8203.000(*  ) P(V30 V40)
s V3006S02 > 0.0
t VERKAUFSERLOES EICHE (SELBSTWERBER) NICHT ZWISCHEN 5 -  200 /CBM VERKAUFSMENGE 
b ( ( V4001S02 ) / ( V3006S02 ) ) #IN( 5 ,  200 )
k
f 8204.000(*  ) P(V30 V40)
s V3006S03 > 0.0
t VERKAUFSERLOES BUCHE (SELBSTWERBER) NICHT ZWISCHEN 5 -  100 /CBM VERKAUFSMENGE 
b ( ( V4002S02 ) / ( V3006S03 ) ) #IN( 5 ,  100 )
k
f 8205.000(*  ) P(V30 V40)
s V3006S05 > 0.0
t VERKAUFSERLOES FICHTE (SELBSTWERBER) NICHT ZWISCHEN 5 -  100 /CBM VERKAUFSMENGE
b ( ( V4003S02 ) / ( V3006S05 ) ) #IN( 5 ,  100 )
k
f 8206.000(*  ) P(V30 V40)
s V3006S06 > 0.0
t VERKAUFSERLOES KIEFER (SELBSTWERBER) NICHT ZWISCHEN 5 - 100 /CBM VERKAUFSMENGE 
b ( ( V4004S02 ) / ( V3006S06 ) ) #IN( 5 ,  100 )
k
f 8208.000(***) P(V30 V40)
s V3006S08 > 0.0
t VERKAUFSERLOES SELBSTWERBERHOLZ INSGESAMT NICHT ZWISCHEN 5 - 100 /CBM VERKAUFSMENGE 
b ( ( V4006S02 ) / ( V3006S08 ) ) #IN( 5 ,  100 )
k
f 8303.000(*  ) P(V30 V40)
s ((V3006S02 * 100) / V3005S02) < 70.0
t VERKAUFSERLOES EICHE NICHT ZWISCHEN 10 -  300 /CBM VERKAUFSMENGE (o.SW)
b ( ( V4001S03,04 ) / ( V3011,12S02 - V3006s02 ) ) #IN( 10 ,  300 )
k
f 8304.000(*  ) P(V30 V40)
s ((V3006S03 * 100) / V3005S03) < 70.0
t VERKAUFSERLOES BUCHE NICHT ZWISCHEN 10 -  125 /CBM VERKAUFSMENGE (o.SW)
b ( ( V4002S03,04 ) / ( V3011S03 - V3006s03 ) ) #IN( 10 ,  125 )
k
f 8305.000(*  ) P(V30 V40)
s ((V3006S05 * 100) / V3005S05) < 70.0
t VERKAUFSERLOES FICHTE NICHT ZWISCHEN 15 -  110 /CBM VERKAUFSMENGE (o.SW)
b ( ( V4003S03,04 ) / ( V3011S05 - V3006s05 ) ) #IN( 15 ,  110 )
k
f 8306.000(*  ) P(V30 V40)
s ((V3006S06 * 100) / V3005S06) < 70.0
t VERKAUFSERLOES KIEFER NICHT ZWISCHEN 15 - 100 /CBM VERKAUFSMENGE (o.SW)
b ( ( V4004S03,04 ) / ( V3011S06 - V3006s06 ) ) #IN( 15 ,  100 )
k
f 8308.000(***) P(V30 V40)
s ( V3011,12S08 - V3006S08 ) > 0
t VERKAUFSERLOES HOLZ INSGESAMT NICHT ZWISCHEN 15 - 200 /CBM VERKAUFSMENGE (o.SW)
b ( ( V4006S03,04 ) / ( V3011S08 - v3006s08 ) ) #IN( 15 ,  200 )
k
f 8310.000(*  ) P(V40)
s V1006S02 > 0.0
t EINNAHMEN JAGD NICHT ZWISCHEN 0 - 50 /HA HB
b ( V4010S02 / V1006S02 ) #IN( 0 , 50 )
k
f 8312.000(*  ) P(V60)
s V6003S07 > 0.0
t LOEHNE NICHT ZWISCHEN 3 - 30  DER IN ABSCHN. 6 BEZAHLTEN
t ARBEITSSTUNDEN
b ( V5003S05 / V6003S07 ) #IN( 3 , 30 )
k		
f 8318.000(*  ) P(V50)
s V1006S02 > 0.0
t BETRIEBSAUFWAND NICHT ZWISCHEN 75 - 600 /HA HB
b ( V5020S05 / V1006S02 ) #IN( 75 , 600 )
k
f 8320.000(***) P(V60)
t STAMMARBEITER FREMD AK, AK-EINHEITEN ODER STUNDENANGABE UNPLAUSIBEL
b V6001S07 / 2000.0 <= V6001S04
k
f 8320.001(***) P(V60)
t STAMMARBEITER FREMD AK, AK-EINHEITEN ODER STUNDENANGABE UNPLAUSIBEL
b V6001S04 * 1000.0 <= V6001S07
k
f 8322.000(***) P(V60)
t NICHT ENTLOHNTE REGELMAESSIG BESCHAEFTIGTE, AK-EINHEITEN ODER 
t STUNDENANGABE UNPLAUSIBEL
b V6001S03 / 2000.0 <= V6001S02
k
f 8322.001(***) P(V60)
t NICHT ENTLOHNTE REGELMAESSIG BESCHAEFTIGTE, AK-EINHEITEN ODER 
t STUNDENANGABE UNPLAUSIBEL
b V6001S02 * 1000.0 <= V6001S03
k
f 8324.000(*  ) P(V60)
s V1006S02 > 0.0
t REGELMAESSIG BESCHAEFTIGTE LEISTEN MEHR ALS 22000 AKH JE 1000 HA HB UND JAHR
b ( ( V6001S03,07 ) * 1000.0 ) / V1006S02 <= 22000.0
k
k *********************************************************************/
k * KONTROLLFRAGEN                                                    */
k *********************************************************************/
k
f 9501.000(*  ) P(V30)
s V5003-05S06 > 0.0
t LOEHNE BEI HOLZEINSCHLAG SETZEN HOLZEINSCHLAG IN EIGENREGIE VORAUS
b V3008S08 > 0.0
k
f 9502.000(*  ) P(V30)
t HOLZEINSCHLAG DURCH UNTERNEHMER IN ABSCHN. 3,
t KEINE UNTERNEHMERLEISTUNGEN BEI HOLZEINSCHLAG IN ABSCHN. 5
b ( V3007S08 == 0 ) || ( V5007S06,07 > 0 )
k
f 9600.000(***) P(V50)
t AUFWAND HOLZERNTE, SUMME DER AUFWENDUNGEN IN DEN SPALTEN HOLZEINSCHLAG UND 
t HOLZRUECKEN (CODES 5020Sp6 UND Sp7) GETEILT DURCH SUMME DER IN REGIE
t UND DURCH UNTERNEHMER AUFGEARBEITETEN HOLZMENGE NICHT
t IN DEN GRENZEN VON 10 BIS 75 EURO JE FESTMETER
b ( ( V5020S06,07 ) / ( V3007,08S08 ) ) #IN( 10 ,  75 )


